Cyberduck Mountain Duck CLI

#3763 closed defect (fixed)

cannot open symlink folders

Reported by: btsa@… Owned by: dkocher
Priority: high Milestone: 3.8
Component: ftp Version: 3.7
Severity: critical Keywords:
Cc: Architecture:
Platform: Mac OS X 10.6

Description (last modified by dkocher)

OS X 10.6.1 / Intel Core 2 Duo double clicking a symlink folder doesn't show the folder content. only a symlink file width the folders name is visible. double clicking this file leads to an error:

230 User avrguser logged in.
FEAT
500 'FEAT': command not understood.
NOOP
200 NOOP command successful.
CWD /
250 CWD command successful.
SYST
215 UNIX Type: L8
STAT /
213-status of /home/avrguser:
total 16836
-rw-r--r--    1 programm b20grp         18 Jul  6  2005 .bash_logout
-rw-r--r--    1 programm b20grp        222 Jul  6  2005 .bash_profile
-rw-r--r--    1 programm b20grp        124 Jul  6  2005 .bashrc
-rw-r--r--    1 programm b20grp         86 Nov  7  2007 .mailboxlist
-rw-r--r--    1 programm b20grp         87 Oct 30  2007 .redirect
-rw-------    1 programm b20grp         46 Jul 30 16:18 .sessionkey
drwx-----x    2 programm b20grp       8192 Sep  2 05:45 .webstat
-rw-------    1 programm b20grp      29589 Nov 12  2007 Drafts
-rw-------    1 programm b20grp        505 Jan  9  2007 INBOX.Drafts
-rw-------    1 programm b20grp        505 Jan  9  2007 INBOX.Sent
-rw-------    1 programm b20grp       5063 Nov 12  2007 Junk
-rw-------    1 programm b20grp        556 Nov 13  2007 kr
-rw-------    1 programm b20grp    7736465 Nov 13  2007 Sent
-rw-------    1 programm b20grp       6935 Oct 30  2007 Templates
-rw-------    1 programm b20grp    9354802 Nov 13  2007 Trash
drwx---r-x    2 programm b20grp       4096 Jul  6  2005 infobots
-rw-------    1 programm b20grp        572 Nov 12  2007 user2
-rw-------    1 programm b20grp        556 Nov 13  2007 kr_best&AOQ-
tigungsvorlage fr.ft
drwxrwsr-x    2 programm mail         4096 Jul  6  2005 maillists
-rw-------    1 programm b20grp        578 Nov 13  2007 user3
lrwxrwxrwx    1 programm b20grp         25 Jul  6  2005 www ->
/www/b20/avrguser
-rw-------    1 programm b20grp        548 Oct 30  2007 user4
213 End of Status
CWD /www
250 CWD command successful.
CWD /
250 CWD command successful.
NOOP
200 NOOP command successful.
CWD /www
250 CWD command successful.
STAT /www
213-status of /home/avrguser/www:
lrwxrwxrwx    1 programm b20grp         25 Jul  6  2005 /home/avrguser/www
-> /www/b20/avrguser
213 End of Status
CWD /www/www
550 /www/www: No such file or directory.

Change History (10)

comment:1 Changed on Sep 29, 2009 at 12:27:47 PM by dkocher

Please post the transcript from the log drawer.

comment:2 Changed on Sep 29, 2009 at 12:50:42 PM by btsa@…

220 ***.de FTP server ready.
USER *****
331 Password required for *****.
PASS ********
230 User ***** logged in.
FEAT
500 'FEAT': command not understood.
NOOP
200 NOOP command successful.
TYPE I
200 Type set to I.
NOOP
200 NOOP command successful.
CWD /www/b20
550 /www/b20: No such file or directory.
CWD /www
250 CWD command successful.
PASV
227 Entering Passive Mode (64,33,55,7,87,69)
RETR www
550 www: No such file or directory.
QUIT
221-You have transferred 0 bytes in 0 files.
221-Total traffic for this session was 526 bytes in 0 transfers.
221-Thank you for using the FTP service on ***.de.
221 Goodbye.

Last edited on Oct 25, 2010 at 10:17:14 AM by dkocher (previous) (diff)

comment:3 Changed on Sep 29, 2009 at 4:27:15 PM by dkocher

Can you additionally post the transcript form the directory listing as well.

comment:4 Changed on Oct 12, 2009 at 3:06:12 PM by btsa@…

230 User avrguser logged in.
FEAT
500 'FEAT': command not understood.
NOOP
200 NOOP command successful.
CWD /
250 CWD command successful.
SYST
215 UNIX Type: L8
STAT /
213-status of /home/avrguser:
total 16836
-rw-r--r--    1 programm b20grp         18 Jul  6  2005 .bash_logout
-rw-r--r--    1 programm b20grp        222 Jul  6  2005 .bash_profile
-rw-r--r--    1 programm b20grp        124 Jul  6  2005 .bashrc
-rw-r--r--    1 programm b20grp         86 Nov  7  2007 .mailboxlist
-rw-r--r--    1 programm b20grp         87 Oct 30  2007 .redirect
-rw-------    1 programm b20grp         46 Jul 30 16:18 .sessionkey
drwx-----x    2 programm b20grp       8192 Sep  2 05:45 .webstat
-rw-------    1 programm b20grp      29589 Nov 12  2007 Drafts
-rw-------    1 programm b20grp        505 Jan  9  2007 INBOX.Drafts
-rw-------    1 programm b20grp        505 Jan  9  2007 INBOX.Sent
-rw-------    1 programm b20grp       5063 Nov 12  2007 Junk
-rw-------    1 programm b20grp        556 Nov 13  2007 kr
-rw-------    1 programm b20grp    7736465 Nov 13  2007 Sent
-rw-------    1 programm b20grp       6935 Oct 30  2007 Templates
-rw-------    1 programm b20grp    9354802 Nov 13  2007 Trash
drwx---r-x    2 programm b20grp       4096 Jul  6  2005 infobots
-rw-------    1 programm b20grp        572 Nov 12  2007 user2
-rw-------    1 programm b20grp        556 Nov 13  2007 kr_best&AOQ-tigungsvorlage fr.ft
drwxrwsr-x    2 programm mail         4096 Jul  6  2005 maillists
-rw-------    1 programm b20grp        578 Nov 13  2007 user3
lrwxrwxrwx    1 programm b20grp         25 Jul  6  2005 www -> /www/b20/avrguser
-rw-------    1 programm b20grp        548 Oct 30  2007 user4
213 End of Status
CWD /www
250 CWD command successful.
CWD /
250 CWD command successful.
NOOP
200 NOOP command successful.
CWD /www
250 CWD command successful.
STAT /www
213-status of /home/avrguser/www:
lrwxrwxrwx    1 programm b20grp         25 Jul  6  2005 /home/avrguser/www -> /www/b20/avrguser
213 End of Status
CWD /www/www
550 /www/www: No such file or directory.

Last edited on Oct 25, 2010 at 10:16:48 AM by dkocher (previous) (diff)

comment:5 Changed on Nov 14, 2009 at 12:18:16 AM by dkocher

  • Description modified (diff)

comment:6 Changed on Nov 14, 2009 at 12:33:40 AM by dkocher

  • Milestone set to 3.4
  • Resolution set to fixed
  • Status changed from new to closed

In r5553.

comment:7 Changed on May 25, 2010 at 12:51:40 PM by dkocher

  • Platform set to Mac OS X 10.6

New workaround in r5989.

comment:8 Changed on Oct 23, 2010 at 9:43:45 AM by http://jayeff.myopenid.com/

  • Milestone 3.3.1 deleted
  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from 3.3b3 to 3.7

I have the exact same problem with the current version of Cyberduck 3.7 (7380).

Here my transcript from the log drawer:

230 User mk logged in.
PWD
257 "/" is current directory.
NOOP
200 NOOP command successful.
SYST
215 UNIX Type: L8
STAT /
213-status of /home/mk:
total 48
-rw-r--r--    1 mk basicgrp       18 Sep  7  2001 .bash_logout
-rw-r--r--    1 mk basicgrp      222 Sep  7  2001 .bash_profile
-rw-r--r--    1 mk basicgrp      124 Sep  7  2001 .bashrc
-rw-r--r--    1 mk basicgrp      231 Nov 13  2003 .redirect
-rw-------    1 mk basicgrp       48 Oct 23 11:14 .sessionkey
-rw-r--r--    1 mk basicgrp       18 Oct 23 11:14 .siteconcmdlhist
drwxr-xr-x    2 mk basicgrp    12288 Oct 23 10:54 .webstat
drwx---r-x    2 mk basicgrp     4096 Jul 12  2004 data
drwx---r-x    2 mk basicgrp     4096 Sep  7  2001 infobots
drwxrwsr-x    2 mk mail         4096 Dec  9  2007 maillists
lrwxrwxrwx    1 mk basicgrp       27 Sep 23  2004 www -> /www/basic/mk
213 End of Status
CWD /www
250 CWD command successful.
NOOP
200 NOOP command successful.
STAT /www
213-status of /home/mk/www:
lrwxrwxrwx    1 mk basicgrp       27 Sep 23  2004 /home/mk/www -> /www/basic/mk
213 End of Status
CWD /www/www
550 /www/www: No such file or directory.
CWD /www/basic/mk
550 /www/basic/mk: No such file or directory.

comment:9 Changed on Oct 25, 2010 at 12:10:31 PM by dkocher

  • Milestone set to 4.0

Regression in r5989. See #4126.

comment:10 Changed on Oct 28, 2010 at 12:03:17 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r7423.

Note: See TracTickets for help on using tickets.
swiss made software